## holes 0.1

=== Makefile ===
ALL=holes

CFLAGS=-g -O2 -Wall -Wno-switch -Wextra -Wwrite-strings

DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

all: $(ALL)

README: holes.1
	mandoc -Tutf8 $< | col -bx >$@

clean: FRC
	rm -f $(ALL)

check: FRC all
	prove -v ./tests

install: FRC all
	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1
	install -m0755 $(ALL) $(DESTDIR)$(BINDIR)
	install -m0644 $(ALL:=.1) $(DESTDIR)$(MANDIR)/man1

FRC:

## holes 0~git.20170801.13d2aac9

=== debian/changelog ===
holes (0~git.20170801.13d2aac9-1) unstable; urgency=medium

  * Initial packaging (Closes: 882793)

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sun, 26 Nov 2017 21:50:02 +0100

=== debian/control ===
Source: holes
Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.1
Homepage: https://github.com/chneukirchen/holes
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/holes.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/holes.git

Package: holes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: find runs of zero bytes
 holes looks for runs of zero bytes (a.k.a. holes) in the specified input files
 (or the standard input), and prints the start addresses (in hexadecimal) as
 well as the lengths (in decimal). When multiple input files are specified,
 holes prefixes each line with the file name.
 .
 It can be used with fallocate(1), truncate(1), or virt-sparsify(1).

## holes 0.1

=== debian/changelog ===
holes (0.1-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/rules: Pass cross-tools to make (Closes: #951528)

  [ nicoo ]
  * d/changelog: Amend with nicoo's new name and address
  * Update upstream's canonical repo to vuxu.org in d/{copyright, watch}

 -- nicoo <nicoo@debian.org>  Mon, 02 Nov 2020 11:07:11 +0100

holes (0.1-4) unstable; urgency=medium

  * Upstream repository relocated to https://github.com/leahneukirchen
  * Update upstream's signing key

  * Update authorship information
  * debian/watch: Update to uscan v4, use git mode, check tag signature

  * debian/gbp.conf
    + Move the packaging branch to debian/sid, use DEP14
    + Use pristine-tar

  * debian/control
    + Update upstream homepage
    + Upgrade to debhelper compatibility level 12.
      Replaced legacy debian/compat with a B-D on debhelper-compat
    + Declare compliance with policy v4.5.0.
      No change needed.

  * debian/rules
    + Honor build flags (incl. hardening)
    + Fail build on dh_missing

 -- nicoo <nicoo@debian.org>  Sat, 15 Feb 2020 22:45:50 +0100

holes (0.1-3) unstable; urgency=low

  * Move the packaging repo to salsa.d.o
  * Declare compliance with policy v4.1.4.
    No change required.

 -- nicoo <nicoo@debian.org>  Wed, 09 May 2018 21:00:37 +0200

holes (0.1-2) unstable; urgency=medium

  * debian/rules
    * Remove spurious test disable
    * Remove spurious --parallel
      This is the default since debhelper's compat level 10

  * debian/control: Set Rules-Requires-Root to no
  * Switch to debhelper 11

  * Bump Standards-Version to 4.1.3
    * debian/copyright: Refer to the CC0 license file
    * debian/copyright: Use HTTPS URI for DEP5 format

 -- nicoo <nicoo@debian.org>  Tue, 13 Feb 2018 21:11:48 +0100

holes (0.1-1) unstable; urgency=medium

  * New upstream release (2018-01-06)
    * Drop patch merged upstream
  * Bump Standards-Version to 4.1.2.
    4.1.3 pending on base-files shipping the CC0 license.
  * Silence Lintian warning debian-watch-could-verify-download.
    Upstream releases are published as signed git tags;
    those are the signatures we check.

 -- nicoo <nicoo@debian.org>  Mon, 08 Jan 2018 18:06:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: holes
-Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+Maintainer: nicoo <nicoo@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1
-Homepage: https://github.com/chneukirchen/holes
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/holes.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/holes.git
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://git.vuxu.org/holes/about/
+Vcs-Browser: https://salsa.debian.org/debian/holes
+Vcs-Git: https://salsa.debian.org/debian/holes.git
 
 Package: holes
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(shell dpkg-buildflags --export=configure)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag, versionmangle=s/_git/~git/" \
  https://git.vuxu.org/holes/ refs/tags/v(\d\S+)
